#gl-modal {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    background: rgba(0,0,0,.4);
        display:-webkit-box;   
        -webkit-box-orient:horizontal;   
        -webkit-box-pack:center;   
        -webkit-box-align:center;   
        display:-moz-box;   
        -moz-box-orient:horizontal;   
        -moz-box-pack:center;   
        -moz-box-align:center;   
        display:-o-box;   
        -o-box-orient:horizontal;   
        -o-box-pack:center;   
        -o-box-align:center;   
        display:-ms-box;   
        -ms-box-orient:horizontal;   
        -ms-box-pack:center;   
        -ms-box-align:center; 
        display:box;
        box-orient:horizontal;  
        /* 水平居中  */
        box-pack:center;   
        /* 垂直居中 */
        box-align:center;  
}
.gl-modal{
    /* IE兼容写法 */
    position: absolute\0;
    left: 50%\0;
    top: 50%\0;
    transform: translate(-50%,-50%)\0;
    width: 700px;
    background: #fff;
    box-shadow: 0 5px 15px rgba(0,0,0,.5);
    border-radius: 5px;
    max-height: 670px;
}
.gl-modal.sm {
    width: 400px;
}
.gl-modal > div {
    padding: 15px;
}
.gl-modal .modal-footer {
    padding: 10px;
}
.gl-modal .modal-head {
    margin-left: -1px;
    font-weight: bold;
    font-size: 18px;
    border-bottom: 1px solid #ccc;
    word-break: break-all;
    white-space: nowrap;
    padding-right: 0;
    text-overflow: ellipsis;
    overflow: hidden;
}
.modal-body {
    max-height: 550px;
    overflow-x: hidden;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
}
.modal-footer {
    border-top: 1px solid #ccc;
}
@media (max-width:1024px) and (min-width: 768px) {
    .gl-modal,
    .gl-modal.sm {
        width: 530px;
    }
}
@media screen and (max-width: 768px) {
    .gl-modal,
    .gl-modal.sm{
        width: 280px;
    }
    .modal-body {
        max-height: 350px;
    }
    .index-modal.modal-body {
        max-height: 400px;
    }
}
@media screen and (max-width: 320px) {
    .gl-modal,
    .gl-modal.sm{
        width: 240px;
    }
    .modal-body {
        max-height: 280px;
    }
}
.scal-enter-active  {
    animation: scalDown .5s;
}
.scal-leave-active {
    animation: scalUp 1s;
}
@keyframes scalDown {
    0% {
      opacity: 0;
      transform: scale(0);
    }
    80% {
        transform: scale(1.2);
    }
    100% {
      opacity: 1;
      transform: scale(1);
    }
  }
  
@keyframes scalUp {
    0% {
      opacity: 1;
      transform: scale(1);
    }
    20% {
        transform: scale(1.2);
    }
    100% {
      opacity: 0;
      transform: scale(0);
    }
}